package themetester;


import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.SubScene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;

import java.io.File;


public class ThemeTesterController {

    @FXML private TextArea log;
    @FXML private Pane content;

    private SubScene subScene;

    @FXML
    void initialize() {
        VBox subSceneRoot = new VBox();
        subScene = new SubScene(subSceneRoot, 100.0, 100.0);
        Button button = new Button("Button");
        subSceneRoot.getChildren().add(button);
        content.getChildren().add(subScene);
    }

    @FXML
    void setModena(ActionEvent event) {
        System.out.println("ThemeTesterController.setModena");
        subScene.setUserAgentStylesheet(null);
        File resourceFile = new File("src/themetester/modena-copy.css");
        String cssURL = resourceFile.toURI().toString();
        subScene.setUserAgentStylesheet(cssURL);
    }

    @FXML
    void setCaspian(ActionEvent event) {
        System.out.println("ThemeTesterController.setCaspian");
        subScene.setUserAgentStylesheet(null);
        File resourceFile = new File("src/themetester/caspian-copy.css");
        String cssURL = resourceFile.toURI().toString();
        subScene.setUserAgentStylesheet(cssURL);
    }

}
